{% extends 'base.html.twig' %}

{% block main %}
    <div class="page-header">
        <h2> Les meilleurs offres concurrents classés par état et prix du produit </h2>
    </div>
    <div class="row">
        <div class="col-sm-12">
            <table class="table table-bordered">
                <thead>
                <tr>
                    <th>Produits</th>
                    <th>Etat</th>
                    <th>Prix</th>
                    <th>Store</th>
                </tr>
                </thead>
                <tbody>
                {% for marketplaceProduct in marketplaceProducts %}
                    {% set currentStore = false %}
                    {% if(marketplaceProduct.productStore.store.id == app.user.store.id) %}
                        {% set currentStore = true %}
                    {% endif %}
                    <tr class="{{ (currentStore) ? 'table-success' : '' }}">
                        <td>
                            {% if currentStore %}
                                <label class="badge badge-success"> Votre produit </label>
                            {% endif %}
                            {{ marketplaceProduct.productStore.product.name }}
                        </td>
                        <td> {{ marketplaceProduct.productStore.state.libelle }}</td>
                        <td> {{ marketplaceProduct.price }}</td>
                        <td> {{ marketplaceProduct.productStore.store.name }}</td>
                    </tr>

                {% endfor %}
                </tbody>
            </table>
        </div>
    </div>


{% endblock %}
